質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.45%

  • C++

    4548questions

    C++はC言語をもとにしてつくられた最もよく使われるマルチパラダイムプログラミング言語の1つです。オブジェクト指向、ジェネリック、命令型など広く対応しており、多目的に使用されています。

  • MacOS(OSX)

    2403questions

    MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

  • コマンド

    261questions

    コマンドとは特定のタスクを行う為に、コンピュータープログラムへ提示する指示文です。多くの場合、コマンドはShellやcmdようなコマンドラインインターフェイスに対する指示文を指します。

  • ファイル

    199questions

    ファイルとは、文字列に基づいた名前又はパスからアクセスすることができる、任意の情報のブロック又は情報を格納するためのリソースです。

  • Qt

    196questions

    QtはGUIプログラムの開発で広く使われているクロスプラットフォーム開発のフレームワークです。

インストールエラーについて

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 1,138

ristori

score 24

gnuplotをインストールしたく、tarファイルを解凍した後、ターミナルで
./configure
を実行したところ以下のようなエラーをはきましたので、
以下のサイトからQtのダウンロードを行いました。
http://www.qt.io/download-open-source/
しかし依然エラーはそのままです。

ちなみにパスを通すために
PKG_CONFIG_PATH=/opt/X11/lib/pkgconfig ./configure
として実行しています。

どうすればエラーが解消されますでしょうか。かなり困っているので、解答頂けるととても嬉しいです。

configure: WARNING:
Package requirements (Qt5Core Qt5Gui Qt5Network Qt5Svg Qt5PrintSupport) were not met:

No package 'Qt5Core' found
No package 'Qt5Gui' found
No package 'Qt5Network' found
No package 'Qt5Svg' found
No package 'Qt5PrintSupport' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables QT_CFLAGS
and QT_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

checking for QT... configure: WARNING:
Package requirements (QtCore >= 4.5 QtGui >= 4.5 QtNetwork >= 4.5 QtSvg >= 4.5) were not met:

No package 'QtCore' found
No package 'QtGui' found
No package 'QtNetwork' found
No package 'QtSvg' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables QT_CFLAGS
and QT_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

configure: WARNING: The Qt terminal will not be compiled.
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating config/Makefile
config.status: creating demo/Makefile
config.status: creating demo/plugin/Makefile
config.status: creating docs/Makefile
config.status: creating m4/Makefile
config.status: creating man/Makefile
config.status: creating share/Makefile
config.status: creating share/LaTeX/Makefile
config.status: creating src/Makefile
config.status: creating src/beos/Makefile
config.status: creating src/wxterminal/Makefile
config.status: creating src/qtterminal/Makefile
config.status: creating term/Makefile
config.status: creating tutorial/Makefile
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing depfiles commands
config.status: executing default commands

** Configuration summary for gnuplot 5.0.0:

gnuplot will be compiled with the following terminals:

  Standalone terminals: yes (always builtin)
    canvas, cgm, context, corel, dumb, dxf, eepic, emf, emtex,
    epslatex, fig, hpgl,latex, metafont, metapost, mif, pcl5,
    postscript, pslatex, pstex, pstricks, qms, svg,
    tek40xx, tek410x, texdraw, tgif, tkcanvas, tpic, vttek

  dot-matrix terminals: no (use --with-bitmap-terminals to enable)
    epson, nec, okidata, tandy, and seiko dp414 printers
    hp500c, hpdj, hpljii, hppj, pbm, sixel, starc

  X Window System terminal: yes
    (with multi-byte fonts)
    (enable plotting to windows opened by external apps) 
    (with application defaults, in /etc/X11/app-defaults/)
  PDFlib pdf terminal: no (use --with-pdf to enable)
  linux terminal (vga console): no (use --with-linux-vga to enable)
  vgagl terminal ((s)vga console): no (use --with-linux-vga to enable)
  ggi terminal: no (use --with-ggi to enable, requires libggi)
  gpic terminal: no   (use --with-gpic to enable)
  mif terminal: no   (use --with-mif to enable)
  caca terminal: no (requires libcaca >= 0.99.beta15)
  aqua terminal (OSX): no
  libgd-based png, jpeg, and gif terminals: yes (with animated gif)
  cairo-based pdf and png terminals: yes 
  lua/TikZ terminal: yes 
  wxt terminal: yes 
  Qt terminal: no (use --with-qt or --with-qt=qt4 to enable

  Additional platform-specific or older terminals omitted by default:
   gpic, mif (FrameMaker 3), hp2623a, hp2648, imagen, kyocera 
   pm (makefile.os2), be (BeOS), svga (MSDOS/djgpp)
   sun, windows (several options)

gnuplot will be compiled with the following configurable features:

  Mouse support in interactive terminals: yes
  Typing <space> in plot window raises console
  Maximum number of parallel axes: 5 
  Placement of rectangles and other objects: yes 
  Readline library: GNU readline library with  -lncurses
  Command-line history file: yes
  Check current directory for .gnuplot file: no (use --with-cwdrc to enable)
  Sort help/subtopic tables by column: no (use --without-row-help to enable)
  cerf() and other special functions from libcerf: yes
  plugin support for loading external functions: yes 
  Use TeX kpsexpand to search for fonts: no (use --with-kpsexpand to enable)
  Hidden3d optimization (gridbox/quadtree/none): quadtree
  Allow deprecated syntax: no (use --enable-backwards-compatibility)
  Statistical summary of data ("stats" command): yes

gnuplot will install the following additional materials:

  LaTeX tutorial: no
  cfg file for epslatex terminal: yes
  TeX *.sty for lua/tikz terminal: yes
  TeX files will be installed in /usr/local/texlive/texmf-local/tex/latex/gnuplot
                               (use --with-texdir=DIR to change)
  Help file: yes (always), in ${datarootdir}/gnuplot/5.0/gnuplot.gih
  PostScript prologue files: yes (always)
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

コンパイル済みのバイナリパッケージをインストールするのではなく、ソースからコンパイルすべき理由があるのでしょうか。それが第一の疑問です。

次に、QTをどうやってインストールしたのかわかりませんが、QtCore等のヘッダファイルとシェアードオブジェクトはそれぞれどこのディレクトリに存在していますか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2015/04/08 15:31

    homebrewを使ってもうまくいきませんでした...

    キャンセル

  • 2015/04/08 16:13

    なんでhomebrewとか使うのでしょうか。homebrewもビルドしますよね。

    dmg版では困るんですか?

    http://www.miscdebris.net/blog/2009/09/16/install-gnuplot-on-mac-os-x/

    キャンセル

  • 2015/04/08 18:25

    このページ通りにやったら出来ました!!!どうもありがとうございます!!本当に助かりました

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.45%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る

  • C++

    4548questions

    C++はC言語をもとにしてつくられた最もよく使われるマルチパラダイムプログラミング言語の1つです。オブジェクト指向、ジェネリック、命令型など広く対応しており、多目的に使用されています。

  • MacOS(OSX)

    2403questions

    MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

  • コマンド

    261questions

    コマンドとは特定のタスクを行う為に、コンピュータープログラムへ提示する指示文です。多くの場合、コマンドはShellやcmdようなコマンドラインインターフェイスに対する指示文を指します。

  • ファイル

    199questions

    ファイルとは、文字列に基づいた名前又はパスからアクセスすることができる、任意の情報のブロック又は情報を格納するためのリソースです。

  • Qt

    196questions

    QtはGUIプログラムの開発で広く使われているクロスプラットフォーム開発のフレームワークです。